GlueGen: com.jogamp.common.util.HashUtil Class Reference

GlueGen v2.6.0-rc-20250706 GlueGen, Native Binding Generator for Java™ (public API).

Static Public Member Functions | List of all members
com.jogamp.common.util.HashUtil Class Reference
Collaboration diagram for com.jogamp.common.util.HashUtil:

## Static Public Member Functions

static int | getAddrHash32_EqualDist (final long addr)
| Generates a 32bit equally distributed identity hash value from `addr` avoiding XOR collision. More...
static int | getAddrSizeHash32_EqualDist (final long addr, final long size)
| Generates a 32bit equally distributed identity hash value from `addr` and `size` avoiding XOR collision. More...
static long | getHash64 (final long addr, final long size)
| Generates a 64bit equally distributed hash value from `addr` and `size` avoiding XOR collisions. More...

## Detailed Description

Definition at line 30 of file HashUtil.java.

## Member Function Documentation

## ◆ getAddrHash32_EqualDist()

static int com.jogamp.common.util.HashUtil.getAddrHash32_EqualDist | ( | final long | addr | ) |

static

Generates a 32bit equally distributed identity hash value from `addr` avoiding XOR collision.

Definition at line 35 of file HashUtil.java.

Here is the caller graph for this function:

## ◆ getAddrSizeHash32_EqualDist()

static int com.jogamp.common.util.HashUtil.getAddrSizeHash32_EqualDist | ( | final long | addr,
|  | final long | size
| ) |  |

static

Generates a 32bit equally distributed identity hash value from `addr` and `size` avoiding XOR collision.

Definition at line 46 of file HashUtil.java.

## ◆ getHash64()

static long com.jogamp.common.util.HashUtil.getHash64 | ( | final long | addr,
|  | final long | size
| ) |  |

static

Generates a 64bit equally distributed hash value from `addr` and `size` avoiding XOR collisions.

Definition at line 59 of file HashUtil.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/common/util/HashUtil.java